Bug 1576584 - [abrt] nautilus: nautilus_view_get_selection(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: nautilus_view_get_selection(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5811ad6c9abcfb9a8b01b8f5563...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 20:56 UTC by Juan Pablo Lozano
Modified: 2019-05-28 23:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:19:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.50 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: core_backtrace (17.72 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: cpuinfo (1.18 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: dso_list (11.87 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: environ (1.62 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: maps (60.61 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: mountinfo (3.48 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: open_fds (2.57 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details
File: var_log_messages (553 bytes, text/plain)
2018-05-09 20:56 UTC, Juan Pablo Lozano
no flags Details

Description Juan Pablo Lozano 2018-05-09 20:56:27 UTC
Description of problem:
I touch the screen with 3 fingers (or 4) to switch between workspaces and Nautilus crash!

Version-Release number of selected component:
nautilus-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_view_get_selection
executable:     /usr/bin/nautilus
journald_cursor: s=55c4725da8ee4cd499cea027b3fe179a;i=12f6;b=1363fa0ce65d44df99d6d6a0863e85ca;m=6a9ae567;t=56bcc0e94cb42;x=52e2ec7c4623821a
kernel:         4.16.3-301.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 nautilus_view_get_selection at ../src/nautilus-view.h:42
 #1 canvas_container_longpress_gesture_pressed_callback at ../src/nautilus-view.h:42
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 g_cclosure_marshal_generic_va at gclosure.c:1604
 #5 _g_closure_invoke_va at gclosure.c:867
 #8 _gtk_gesture_long_press_timeout at gtkgesturelongpress.c:108
 #14 g_main_context_iteration at gmain.c:3964
 #15 g_application_run at gapplication.c:2470

Comment 1 Juan Pablo Lozano 2018-05-09 20:56:33 UTC
Created attachment 1434008 [details]
File: backtrace

Comment 2 Juan Pablo Lozano 2018-05-09 20:56:34 UTC
Created attachment 1434009 [details]
File: cgroup

Comment 3 Juan Pablo Lozano 2018-05-09 20:56:36 UTC
Created attachment 1434010 [details]
File: core_backtrace

Comment 4 Juan Pablo Lozano 2018-05-09 20:56:38 UTC
Created attachment 1434011 [details]
File: cpuinfo

Comment 5 Juan Pablo Lozano 2018-05-09 20:56:39 UTC
Created attachment 1434012 [details]
File: dso_list

Comment 6 Juan Pablo Lozano 2018-05-09 20:56:41 UTC
Created attachment 1434013 [details]
File: environ

Comment 7 Juan Pablo Lozano 2018-05-09 20:56:42 UTC
Created attachment 1434014 [details]
File: exploitable

Comment 8 Juan Pablo Lozano 2018-05-09 20:56:44 UTC
Created attachment 1434015 [details]
File: limits

Comment 9 Juan Pablo Lozano 2018-05-09 20:56:47 UTC
Created attachment 1434016 [details]
File: maps

Comment 10 Juan Pablo Lozano 2018-05-09 20:56:48 UTC
Created attachment 1434017 [details]
File: mountinfo

Comment 11 Juan Pablo Lozano 2018-05-09 20:56:50 UTC
Created attachment 1434018 [details]
File: open_fds

Comment 12 Juan Pablo Lozano 2018-05-09 20:56:51 UTC
Created attachment 1434019 [details]
File: proc_pid_status

Comment 13 Juan Pablo Lozano 2018-05-09 20:56:53 UTC
Created attachment 1434020 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 20:17:11 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 23:19:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.